Skip to navigation

Adds a user to the workspace by email address

View as Markdown

This operation manually adds an internal or external user to a specific workspace by email address. Users within the account are considered “Internal” and may be assigned any role. Users outside the account are considered “External” and may only be assigned the Participate role. This operation is not typically needed for adding external participants to a Workspace as they will be automatically added as tasks are assigned.

Available role IDs can be retrieved via the Assignable Roles operation on a workspace. If the role_id is not passed, the user is added with the Participate role.

Required authentication scopes: dtr.rooms.write

Authentication

AuthorizationBearer
JWT Bearer token from Docusign authorization server

Path parameters

accountIdstringRequiredformat: "uuid"
The ID of the account
workspaceIdstringRequiredformat: "uuid"
The ID of the workspace

Request

The user details
emailstringRequired>=1 character
The email address of the added user. May be an internal user to the account or an external user
first_namestringRequired>=1 character
The first name of the added user
last_namestringRequired>=1 character
The last name of the added user
role_idstring or nullOptionalformat: "uuid"
The optional Role ID to assign to the user. Defaults to the "Participate" role

Response

The user was successfully added to the workspace
workspace_idstringOptionalformat: "uuid"
The ID of the workspace
user_idstringOptionalformat: "uuid"
The ID of the user
role_idstringOptionalformat: "uuid"
The ID of the role assigned to the user
emailstring or nullOptional
The email of the user
first_namestring or nullOptional
The first name of the user
last_namestring or nullOptional
The last name of the user

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error